View Issue Details

IDProjectCategoryView StatusLast Update
0017395MediaMonkey 5Playlists (Auto) / Search / Filterspublic2021-01-25 17:58
Reporterlowlander Assigned To 
PriorityurgentSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version5.0 
Target Version5.0Fixed in Version5.0 
Summary0017395: Respect diacritics breaks search operators
DescriptionWhen setting Search Mode to Respect diacritics / Match within words search operators like

Madonna AND Justin
Artist: Madonna

Year: 2000
however seems unaffected by this.
TagsNo tags attached.
Fixed in build2296

Relationships

related to 0005565 closedLudek Full-text search only finds prefixes (gives poor results in Oriental languages) 
related to 0017276 closedLudek Search mode options counterintuitive 
related to 0017396 closedlowlander ..value results problem 
related to 0017439 closedLudek Match within words and search whole words in Browser view 

Activities

Ludek

2021-01-17 16:23

developer   ~0061401

Last edited: 2021-01-17 17:34

View 11 revisions

Analyzed the code and found that the advanced searching in "Search tips" haven't been implemented at all for this search mode in course of 0005565
Implementing it for all the variants could be quite complex atm -- as this search mode isn't using SQLite's FTS (full text search engine), but SQlite's 'LIKE' statement.

So as short term solution for 5.0:
a) eliminate the unsupported variants from the "Search tips" tooltip (leaving the full list only when the default "Ignore Diacritics \ Match beggining of words (faster)" mode is active)

Long term solution (post 5.0)
b) implement all the variants of searching (complex solution)
or
c) eliminate the 'Respect diacritics / Match within words' altogether -- as it does not seem to be used much (though can be useful for Oriental languages like Japanese, Chinese)
or
d) even better communicate the limitations in tooltips

Ludek

2021-01-17 17:03

developer   ~0061402

Last edited: 2021-01-17 17:31

View 4 revisions

a) is fixed in 5.0.0.2296

Re-opened to add at least support for 'fieldname: value' that should be low risk and easy fix for 5.0

=> Fixed in 2296

Ludek

2021-01-17 18:31

developer   ~0061404

Re-opened to add also the AND/OR operators, after the code review it shouldn't be that hard to implement.

Ludek

2021-01-17 18:52

developer   ~0061405

Added the AND/OR operators and full phrase condition searching (in double-quotes) and updated the search tips accordingly in build 2296.

So the original issue is resolved.

Ludek

2021-01-18 15:33

developer   ~0061416

Last edited: 2021-01-18 15:34

View 2 revisions

Also the whole words searching in 'Respect diacritics' mode was added in 2296 (related to 0017276)

i.e. when the word is in double-quotes (like "an" to not fine "another")
Or when the '[ ] Search whole words only' is checked in Options > Search